Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaFileOptionableExceptionHandler

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.utils.CinemaFileOptionableExceptionHandler

All Implemented Interfaces:
  OptionableExceptionHandler

public class CinemaFileOptionableExceptionHandler
extends Object
implements OptionableExceptionHandler

CinemaFileOptionableExceptionHandler.java Created: Mon May 14 16:21:58 2001

Version:
  $Id: CinemaFileOptionableExceptionHandler.java,v 1.2 2001/05/15 12:24:15 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaFileOptionableExceptionHandler()`

Method Summary
`boolean` | `handleLoadException(ClassNotFoundException exp)` ClassNotFoundException can occur when reading data from the stream for a data type that does not exist.
`boolean` | `handleLoadException(Exception exp)` Handle an exception occurring during the loading of options.
`boolean` | `handleLoadException(IOException ioe)` Signalled if some unknown IOException occurs
`boolean` | `handleLoadException(OptionableSourceNotFoundException osnfe)` If the optionable load file can not be found this error is signalled.
`boolean` | `handleSaveException(Exception exp)` If something nasty occurs whilst gather the optionable information occurs this is error is signalled.
`boolean` | `handleSaveException(IOException iop)` If the save encounters IO problems!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaFileOptionableExceptionHandler

    public CinemaFileOptionableExceptionHandler()

Method Detail

### handleLoadException

    public boolean handleLoadException(Exception exp)

  Description copied from interface: `OptionableExceptionHandler`
  Handle an exception occurring during the loading of options.

  Specified by:
    `handleLoadException` in interface `OptionableExceptionHandler`
  Parameters:
    `exp` -
  Returns:
    true if the an attempt should be made to load the options again.

### handleLoadException

    public boolean handleLoadException(IOException ioe)

  Description copied from interface: `OptionableExceptionHandler`
  Signalled if some unknown IOException occurs

  Specified by:
    `handleLoadException` in interface `OptionableExceptionHandler`
  Parameters:
    `ioe` -
  Returns:
    a `boolean` value

### handleLoadException

    public boolean handleLoadException(ClassNotFoundException exp)

  Description copied from interface: `OptionableExceptionHandler`
  ClassNotFoundException can occur when reading data from the stream for a data type that does not exist. It won't normally occur.

  Specified by:
    `handleLoadException` in interface `OptionableExceptionHandler`
  Parameters:
    `exp` -
  Returns:
    a `boolean` value

### handleLoadException

    public boolean handleLoadException(OptionableSourceNotFoundException osnfe)

  Description copied from interface: `OptionableExceptionHandler`
  If the optionable load file can not be found this error is signalled.

  Specified by:
    `handleLoadException` in interface `OptionableExceptionHandler`
  Parameters:
    `osnfe` -
  Returns:
    a `boolean` value

### handleSaveException

    public boolean handleSaveException(Exception exp)

  Description copied from interface: `OptionableExceptionHandler`
  If something nasty occurs whilst gather the optionable information occurs this is error is signalled.

  Specified by:
    `handleSaveException` in interface `OptionableExceptionHandler`
  Parameters:
    `exp` -
  Returns:
    a `boolean` value

### handleSaveException

    public boolean handleSaveException(IOException iop)

  Description copied from interface: `OptionableExceptionHandler`
  If the save encounters IO problems!

  Specified by:
    `handleSaveException` in interface `OptionableExceptionHandler`
  Parameters:
    `iop` -
  Returns:
    a `boolean` value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD